/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef INCL_CEDB
#define INCL_CEDB

#include <rapi.h>

#define MAX_FIELDS 100

HANDLE openDB(PCEGUID volumeId, WCHAR* dbName, CEPROPID sort, PCEOID oid);
CEOID createDB (PCEGUID volumeId,WCHAR* dbName, CEPROPID key, CEPROPID status);
BOOL mountDBVolume(WCHAR *volume, PCEGUID volumeId);
CEOID storeRecord(HANDLE db, CEPROPVAL* key, WORD nFields, CEPROPVAL* fields);
DWORD getRecordCount(PCEGUID volumeId, CEOID oid);
CEOID findRecordByKey(HANDLE db, CEPROPVAL* key);
void  deleteRecord(HANDLE db, CEPROPVAL* key);
CEOID findRecordByStatus(HANDLE db, CEPROPVAL* state);

#endif